Last Comment Bug 76736 - Your Certs tab: fix Certificate Backup Password dialogs, add Obtain New & Change Master Password buttons.
: Your Certs tab: fix Certificate Backup Password dialogs, add Obtain New & Cha...
Status: VERIFIED WONTFIX
:
Product: Core Graveyard
Classification: Graveyard
Component: Security: UI (show other bugs)
: 1.0 Branch
: All All
: P3 normal (vote)
: Future
Assigned To: Stephane Saux
: John Unruh
:
Mentors:
: 39658 (view as bug list)
Depends on: 64128
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-19 13:28 PDT by Sean Cotter
Modified: 2016-09-27 13:03 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Sean Cotter 2001-04-19 13:28:52 PDT
BuildID:    2001041804

change text under tabs as follows:

  You have certificates from these organizations that identify you:

in right column heading, change "Token Name" to "Security Device"

in right column, change "PSM Certificate Database" to "software"

Note that this token name change affects several other places, such as the password
request dialog. It currently reads like this:

  Please enter the Personal Security Password for the PSM Certificate Database 
  security device.

It should read like this (in the case of the internal token):

Please enter the master password for the software security device.

Finally, the backup dialogs need these changes:

title of save dialog should be changed from "File Name to Backup" to "File Name
for Backup"

Choose a Portable Security Password dialog needs the following changes:

  Change window title to "Choose a Certificate Backup Password"

  replace text at top of dialog withthis:

    The certificate backup password you set here protects the backup file that 
    you are about to create. You must set this password to proceed with the 
    backup.
     
    Certificate backup password:
    Certificate backup password (again):       

    Important: If you forget your certificate backup password, you will not be 
    able to restore this backup. Please record it in a safe location.



Other questions re My Certificates panel: Should it include an Obtain New button
(as in PSM 1.4) linked to https://certs.netscape.com?

Should it include a "Change Master Password" button?


Reproducible: Always
Steps to Reproduce:
Choose Preferences from the Edit Menu, then Privacy/Security, then click Manage
Certificates.
Comment 1 Sean Cotter 2001-05-07 15:04:03 PDT
The token name issues discusssed in this bug are now being tracked in bug #79233.

New Certificate Manager tab names and strings are now described in bug #77009.

So, the only parts of this bug that are still relevant are the changes described
here for the backup dialogs--mainly changing the name of the password and its
dialog to "certificate backup password"--and the addition of the Obtain New and
Change Master Password buttons to the My Certificates tab.

Reassigning bug to mcgreer, changing summary.
Comment 2 Ian McGreer 2001-05-24 05:26:54 PDT
marking fixed

sean, can you verify the wording is correct?
Comment 3 John Unruh 2001-05-24 10:23:06 PDT
Reopening. Everything is fixed except for this "title of save dialog should be 
changed from "File Name to Backup" to "File Name for Backup"
Comment 4 Sean Cotter 2001-05-29 14:17:07 PDT
In addition to the change in the Save dialog for the Backup
button John mentioned above, these items still need to be addressed:

- Add Obtain New button to the Your Certificates tab. This is not in mockups but
has always been there in previous versions of PSM, if we're going to drop it now
it should be a conscious decision.

- The mockups do show a Change Password button in the My Certificates (now Your
Certificates) tab. This button is not present in the latest builds. To be
consistent with other ways to access the master password dialog, the button
should be labeled "Change Master Password" if we still want to have it here.

Comment 5 David P. Drinan 2001-05-31 14:44:55 PDT
->p3
Comment 6 Stephane Saux 2001-06-22 17:19:09 PDT
Mass reassigning target to 2.1
Comment 7 Stephane Saux 2001-07-25 20:48:09 PDT
Moving all P3 and P4 bugs targetted to 2.1 to future.
Comment 8 Stephane Saux 2001-07-25 22:46:22 PDT
removing nsenterprise keyword from PSM bugs with target milestone of future.
Comment 9 John Unruh 2001-08-01 12:11:32 PDT
Mass assigning QA to ckritzer.
Comment 10 John Unruh 2001-10-04 11:49:25 PDT
Summarizing the fixes needed to close out this bug:
1.) Title of save dialog should be changed from "File Name to Backup" to "File 
Name for Backup"

2.) Add Obtain New button to the Your Certificates tab. This is not in mockups 
but has always been there in previous versions of PSM, if we're going to drop it 
now it should be a conscious decision.

3.) The mockups do show a Change Password button in the My Certificates (now 
Your Certificates) tab. This button is not present in the latest builds. To be
consistent with other ways to access the master password dialog, the button
should be labeled "Change Master Password" if we still want to have it here.
Comment 11 John Unruh 2001-10-04 12:16:38 PDT
Reassigning to ssaux.
Comment 12 Kai Engert (:kaie) (on vacation) 2002-07-15 12:12:18 PDT
1) simple fix

2) what would this button do?

3) why is this button required, as edit/prefs/security/certificates provides the
ability to change the password?
Comment 13 Sean Cotter 2002-07-17 16:27:31 PDT
The Obtain New button in PSM 1.x simply brought you to
https://certs.netscape.com. Whether we need it now is really a marketing
decision. Stephane, do you have an opinion?

Note that a link to certs.netscape.com is already included in the Help section
on getting your own certificate.

I agree that the Change Master Password button isn't needed here anymore. 
Comment 14 Kai Engert (:kaie) (on vacation) 2002-07-25 19:05:03 PDT
In that case, the "obtain new" would be a feature of the commercial application
only, and would be tracked in a bugscape bug.

Resolving as wontfix.
Comment 15 John Unruh 2002-07-26 08:56:28 PDT
Marking wontfix.
Comment 16 John Unruh 2002-08-02 14:11:02 PDT
Verified.

Note You need to log in before you can comment on or make changes to this bug.